// Class Code 03B - Adding an image to the easing code
// This uses a variable of type PImage.

// This code is directly parallel to the code in the API
// Refer to the API for an explanation

// golbal variables
float x, y, wd, ht, easingCoefficient;

PImage picture;

void setup( )
{
  size( 400, 400 );
  x = width/2;
  y = height/2;
  wd = ht = width*.15;  // this is legal...
  
  // alter this value to change the speed of the
  // circle's movement to the mouse location
  easingCoefficient = 0.1;
  
  smooth( );
  fill( 200, 0, 0 );
  
  imageMode( CENTER );
  
  picture = loadImage("Jim1.jpg");
}

void draw( )
{
  background( 0 );
  
  
  // local variables
  // compute distance between current circle location and mouse location.
  float dx = mouseX - x;
  float dy = mouseY - y;
  
  // change x and y by an amount equal to the distance between 
  // the mouse and the circle multiplied by the easingCoefficient
  
  x = x + ( dx * easingCoefficient );
  y = y + ( dy * easingCoefficient );
  
  // draw the picture
 image( picture, x, y, wd, ht );
  
}
